﻿using UnityEngine;
using System.Collections;

public class OffsetChanger : MonoBehaviour {

	[SerializeField] private float increaseAmount = 1;
	private Vector2 offset;
	private void Awake() {

		offset = renderer.material.mainTextureOffset;
	}

	void Update () {
		offset.y += increaseAmount * Time.deltaTime;
		if (offset.y >= 1) offset.y %= 1;
		renderer.material.mainTextureOffset = offset;
		
	}
}
