﻿using UnityEngine;
using System.Collections;

public class Projectile : MonoBehaviour {
	[SerializeField] private float speed;

	private Vector3 auxVector;
	// Use this for initialization
	private void Awake () {
		auxVector = PlayerController.forwardVector;

		Debug.Log (Mathf.Atan2 (auxVector.x, auxVector.y));
		transform.rotation = Quaternion.Euler(new Vector3(0, 0, 360 - Mathf.Rad2Deg * Mathf.Atan2 (auxVector.x, auxVector.y)));
		Debug.Log (transform.rotation.z);
		rigidbody.velocity = transform.up * speed;
	}
}
