Shader "Custom/TrasparenciaConAlfa" {
	Properties {
		_MainTex ("Base (RGB)", 2D) = "white" {}
		_Color ("Alpha", Color) = (0,0,0,0)
		_Alpha ("Alpha", Range(0,1)) = 1
		
	}
	SubShader {
		Tags {"Queue"="Transparent" "IgnoreProjector"="True" "RenderType"="Transparent"}
		ZWrite On
		Alphatest Greater 0
//		Tags { "Queue"="Transparent" }
		Blend SrcAlpha OneMinusSrcAlpha
		
		Pass {
			SetTexture[_MainTex]
			SetTexture[_] {
				ConstantColor[_Color]
				combine previous, previous - constant
			}
		}
	} 
	FallBack "Diffuse"
}
