﻿using UnityEngine;
using System.Collections;

public class HitPointsBar : MonoBehaviour {

	[SerializeField] private float maximumPosition;
	[SerializeField] private float minimumPosition;

	private RectTransform rectTransform;

	private void Awake()
	{
		rectTransform = this.GetComponent<RectTransform>();
	}

	private Vector2 auxRect;
	private void Update ()
	{
		auxRect = rectTransform.offsetMax;
		auxRect.x = Mathf.Lerp(maximumPosition, minimumPosition, PlayerController.hpRatio);
		rectTransform.offsetMax = auxRect;
	}
}
