﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class RandomTextAssign : MonoBehaviour {

	[SerializeField] private string[] possibleStrings0;
	[SerializeField] private string[] possibleStrings1;
	[SerializeField] private string[] possibleStrings2;
	[SerializeField] private string outputString = "{0}";

	private void Awake()
	{
		if (possibleStrings1.Length != 0 && possibleStrings2.Length != 0)
		{
			this.GetComponent<Text> ().text = string.Format (outputString, possibleStrings0 [Random.Range (0, possibleStrings0.Length)], possibleStrings1 [Random.Range (0, possibleStrings1.Length)], possibleStrings2 [Random.Range (0, possibleStrings2.Length)]);
		}
		else if (possibleStrings1.Length != 0)
		{
			this.GetComponent<Text> ().text = string.Format (outputString, possibleStrings0 [Random.Range (0, possibleStrings0.Length)], possibleStrings1 [Random.Range (0, possibleStrings1.Length)]);
		}
		else
		{
			this.GetComponent<Text> ().text = string.Format (outputString, possibleStrings0 [Random.Range (0, possibleStrings0.Length)]);
		}
	}
}
