﻿using UnityEngine;
using System.Collections;

public class SelfdestructSequence : MonoBehaviour {

	[SerializeField] private float delay = 1;

	private void Awake()
	{
		StartCoroutine(Selfdestruct());
	}

	private IEnumerator Selfdestruct()
	{
		yield return new WaitForSeconds(delay);

		GameObject.Destroy(this.gameObject);
	}
}
