﻿using UnityEngine;
using System.Collections;

public class InvocationSpell : Spell {

	[SerializeField] private GameObject spellPrefab;
	[SerializeField] private bool playerFriendly = false;
	public bool friendly {
		get {return playerFriendly;}
	}

	private void SetPower(float newPower, bool _friendly)
	{
		playerFriendly = _friendly;
		power = newPower;
		setPowerManually = true;
	}

	override public void Cast ()
	{
		GameObject projectile = GameObject.Instantiate(spellPrefab, PlayerController.position, Quaternion.identity) as GameObject;

		InvocationSpell spellComponent = projectile.AddComponent<InvocationSpell>();
		spellComponent.SetPower(power, true);
	}
}
